// ===================================================
// Colors
// ===================================================

// Black & White
$mine-shaft: hsl-str(10, 12%, 20%);
$white: hsl-str(0, 0%, 100%);

// Others
$wild-sand: hsl-str(0, 0%, 96%);
$gallery: hsl-str(0, 0%, 93%);
$science-blue: hsl-str(210, 100%, 45%);
$apricot: hsl-str(357, 76%, 72%);
$alto: hsl-str(0, 5%, 54%);
$dusty-gray: hsl-str(0, 0%, 60%);
$lotus: hsl-str(348, 36%, 35%);
$dark-tan: hsl-str(348, 75%, 25%);
$thunderbird: hsl-str(0, 78%, 45%);
$carnation-pink: hsl-str(346, 100%, 82%);

// ================================
// Base Module
// ================================

// Elements
$body--background-color: $gallery;
$body--color: $mine-shaft;
$link--color: $science-blue;
$link-active--color: $mine-shaft;
$outline--color: $apricot;

// Form Elements
$input--color: $mine-shaft;
$input--background-color: $white;
$input--border-color: $alto;
$input-focus--color: $mine-shaft;
$input-focus--background-color: $white;
$input-focus--border-color: $dusty-gray;

// Placeholder
$placeholder--color: $mine-shaft;

// Buttons
$button--background-color: $dark-tan;
$button--color: $white;
$button--active-background-color: $lotus;
$button--active-color: $white;

// Tables
$table-body--border-color: $gallery;
$table-cell--border-color: $gallery;

// Text
$horizontal-rule--border-color: $gallery;
$mark--background-color: $alto;
$mark--color: $mine-shaft;
